.\" gd_frameoffset64.3.  The gd_frameoffset64 man page.
.\"
.\" Copyright (C) 2008, 2010 D. V. Wiebe
.\"
.\""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\"
.\" This file is part of the GetData project.
.\"
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.2 or
.\" any later version published by the Free Software Foundation; with no
.\" Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
.\" Texts.  A copy of the license is included in the `COPYING.DOC' file
.\" as part of this distribution.
.\"
.TH gd_frameoffset64 3 "25 May 2012" "Version 0.8.0" "GETDATA"
.SH NAME
gd_frameoffset64, gd_alter_frameoffset64 \(em report or change the frame
offset of fields in a dirfile, with largefile support
.SH SYNOPSIS
.B #define GD_64BIT_API
.br
.B #include <getdata.h>
.HP
.nh
.ad l
.BI "gd_off64_t gd_frameoffset(DIRFILE *" dirfile ", int " fragment_index );
.HP
.BI "int gd_alter_frameoffset64(DIRFILE *" dirfile ", gd_off64_t " offset ,
.BI "int " fragment_index ", int " move );
.hy
.ad n
.SH DESCRIPTION
These versions of
.BR gd_frameoffset (3)
and
.BR gd_alter_frameoffset (3)
use a 64-bit offset type
.RB ( gd_off64_t ),
where one is available, regardless of the size of
.BR off_t .
They are only available if one defines
.IR GD_64BIT_API
or
.IR _LARGEFILE64_SOURCE
before including getdata.h.

If
.I off_t
is a 64-bit type (possibly because
.I _FILE_OFFSET_BITS
has been defined to 64), these functions will the same as
.BR gd_framenum_subset (3)
and
.BR gd_alter_frameoffset (3).
Otherwise,
.BR gd_framenum_subset (3)
and
.BR gd_alter_frameoffset (3)
will be versions of these function which use a 32-bit
.IR off_t .
.SH SEE ALSO
.BR gd_alter_frameoffset (3),
.BR gd_frameoffset (3),
.BR feature_test_macros (7)
